processing.opengl

## Class Texture.Parameters

- java.lang.Object
- - processing.opengl.Texture.Parameters

- Enclosing class:
    Texture

      public static class Texture.Parameters
      extends Object

  This class stores the parameters for a texture: target, internal format, minimization filter and magnification filter.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `format` Texture internal format.
    `boolean` | `mipmaps` Use mipmaps or not.
    `int` | `sampling` Texture filtering (POINT, LINEAR, BILINEAR or TRILINEAR).
    `int` | `target` Texture target.
    `int` | `wrapU` Wrapping mode along U.
    `int` | `wrapV` Wrapping mode along V.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Parameters()` Sets all the parameters to default values.
    `Parameters(int format)`
    `Parameters(int format, int sampling)`
    `Parameters(int format, int sampling, boolean mipmaps)`
    `Parameters(int format, int sampling, boolean mipmaps, int wrap)`
    `Parameters(Texture.Parameters src)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `set(int format)`
    `void` | `set(int format, int sampling)`
    `void` | `set(int format, int sampling, boolean mipmaps)`
    `void` | `set(Texture.Parameters src)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### target

          public int target

      Texture target.

    - #### format

          public int format

      Texture internal format.

    - #### sampling

          public int sampling

      Texture filtering (POINT, LINEAR, BILINEAR or TRILINEAR).

    - #### mipmaps

          public boolean mipmaps

      Use mipmaps or not.

    - #### wrapU

          public int wrapU

      Wrapping mode along U.

    - #### wrapV

          public int wrapV

      Wrapping mode along V.

  - ### Constructor Detail

    - #### Parameters

          public Parameters()

      Sets all the parameters to default values.

    - #### Parameters

          public Parameters(int format)

    - #### Parameters

          public Parameters(int format,
                            int sampling)

    - #### Parameters

          public Parameters(int format,
                            int sampling,
                            boolean mipmaps)

    - #### Parameters

          public Parameters(int format,
                            int sampling,
                            boolean mipmaps,
                            int wrap)

    - #### Parameters

          public Parameters(Texture.Parameters src)

  - ### Method Detail

    - #### set

          public void set(int format)

    - #### set

          public void set(int format,
                          int sampling)

    - #### set

          public void set(int format,
                          int sampling,
                          boolean mipmaps)

    - #### set

          public void set(Texture.Parameters src)